NX Open C++ Reference Guide
|
Represents a collection of 2D contact objects.Any 2D contact object must be created and found through this class
To obtain an instance of this class, refer to Motion::MotionManager
Created in NX5.0.0.
More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Motion::CurveContactBuilder * | CreateCurveContactBuilder (NXOpen::Motion::CurveContact *contactobj) |
Creates a Motion::CurveContact. | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
NXOpen::Motion::CurveContact * | FindObject (const NXString &name) |
Finds the Motion::CurveContact with the given name. | |
NXOpen::Motion::CurveContact * | FindObject (const char *name) |
Finds the Motion::CurveContact with the given name. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of 2D contact objects.Any 2D contact object must be created and found through this class
To obtain an instance of this class, refer to Motion::MotionManager
Created in NX5.0.0.
iterator NXOpen::Motion::CurveContactCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Motion::CurveContactBuilder* NXOpen::Motion::CurveContactCollection::CreateCurveContactBuilder | ( | NXOpen::Motion::CurveContact * | contactobj | ) |
Creates a Motion::CurveContact.
contactobj | "Motion::CurveContact to be edited, if NULL then create a new one |
iterator NXOpen::Motion::CurveContactCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Motion::CurveContact* NXOpen::Motion::CurveContactCollection::FindObject | ( | const NXString & | name | ) |
Finds the Motion::CurveContact with the given name.
An exception will be thrown if no object can be found with given name. @return @link Motion::CurveContact Motion::CurveContact @endlink with this name.
Created in NX5.0.0.
License requirements : mechanisms ("MECHANISMS")
name | The name of the Motion::CurveContact . |
NXOpen::Motion::CurveContact* NXOpen::Motion::CurveContactCollection::FindObject | ( | const char * | name | ) |
Finds the Motion::CurveContact with the given name.
An exception will be thrown if no object can be found with given name. @return @link Motion::CurveContact Motion::CurveContact @endlink with this name.
Created in NX5.0.0.
License requirements : mechanisms ("MECHANISMS")
name | The name of the Motion::CurveContact . |
tag_t NXOpen::Motion::CurveContactCollection::Tag | ( | ) | const |
Returns the tag of this object.